P4_PARSE_TO_STR(3)

NAME
p4_parse_to_str - PARSE>$ ( [ccc<char;>] char -- $: ccc$ )

SYNOPSIS

#include <pfe/def-config.h>

FCode p4_parse_to_str(---);

DESCRIPTION

Parse the input stream up to the first occurrence of char, which is parsed away, and store the string as an external measured string. If executing in compilation mode, append run-time semantics to the current definition that leaves the MSA on the string stack. In interpretation mode, leave the MSA on the string stack, where the stored copy, unlike PARSE>S, is required to be nontransient.

AUTHOR

    • David N.Williams (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2001-2004, 2006, 2008 David N. Williams